Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Vorgabewerte in Blöcken löschen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Vorgabewerte in Blöcken löschen (158 mal gelesen)
mansch1
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von mansch1 an!   Senden Sie eine Private Message an mansch1  Schreiben Sie einen Gästebucheintrag für mansch1

Beiträge: 87
Registriert: 02.07.2010

Windows 7 64Bit, Autocad 2017
EPLAN Electric P8 Prof.Vers.2.4.8366

erstellt am: 05. Jul. 2018 11:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen.

Ich habe die dankbare Aufgabe, für eine CADFM in bestehenden Elektroplänen bei allen Attributen in Blöcken welche Vorgabewerte enthalten, diese Werte zu löschen.
Da es nicht sehr lustig ist, jede Blockdefinition zu öffen und jedes enthaltene Attribut nach Vorgabewerten zu durchsuchen, bin ich auf der Suche nach einem entsprechenden Bordmittel oder einem Tool wo ich diese Aufgabe schneller lösen kann.
Falls jemand etwas weiß wäre ich sehr dankbar.

In freudiger Erwartung Eurer Input´s

LG Manfred

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 18308
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 05. Jul. 2018 11:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mansch1 10 Unities + Antwort hilfreich

Das ist mit Programm zum Glück einfach,
ist nur die Frage ob du irgendeinen Filter einbauen möchtest?
ALLE Blöcke.. Ich unterstelle mal due kennst überhaupt nicht ALLE BLÖCKE
oder denkst zumindest nicht an diese in dem Zusammenhang.
Wirklich ALLE oder kann man das einschränken?

Was ist mit den Attribut(definition) Eigenschaften Vorwahl und Prüfen?


Wie auch immer:
(defun C EL-ATTDEFVAL () ; Löscht Attributdefinitions-Vorgabewerte
  (vl-load-com) 
  (vlax-for BLOCK (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (vlax-for ITEM BLOCK 
      (if (=(strcase(vla-get-objectname  ITEM))(strcase "AcDbAttributeDefinition"))
           
        (vl-catch-all-error-p
          (vl-catch-all-apply             
            'vla-put-TextString
            (list ITEM "")
          )
        )
       
      )
    )       
  )
  (vla-regen(vla-get-activedocument (vlax-get-acad-object)) acAllViewports)
)


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mansch1
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von mansch1 an!   Senden Sie eine Private Message an mansch1  Schreiben Sie einen Gästebucheintrag für mansch1

Beiträge: 87
Registriert: 02.07.2010

Windows 7 64Bit, Autocad 2017
EPLAN Electric P8 Prof.Vers.2.4.8366

erstellt am: 05. Jul. 2018 14:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank, hat Bestens funktioniert.

LG

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz